// DisplayAndGetRawDataWithLiveChannelDlg.h : header file
//

#pragma once
#include "afxwin.h"


class CDataBrokerConnectWrapper;
class CAvSyncLiveGetRawWrapper;

// CDisplayAndGetRawDataWithLiveChannelDlg dialog
class CDisplayAndGetRawDataWithLiveChannelDlg : public CDialog
{
// Construction
public:
	CDisplayAndGetRawDataWithLiveChannelDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DISPLAYANDGETRAWDATAWITHLIVECHANNEL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

// Implementation (Appended)
public:
	HWND    m_hDisplay;
	HBITMAP m_hBMP;

	CString m_strIPAddr;
	CString m_strServerType;
	CString m_strHttpPort;
	CString m_strUserID;
	CString m_strPassword;

	WORD m_wHttpPort;

	char *m_pszSaveDirectoryPath;  // The directory path of file contains decoded data

	CDataBrokerConnectWrapper *m_pDBWrapper;
	
	CAvSyncLiveGetRawWrapper *m_pAVWrapper;

	CRITICAL_SECTION m_CS;

	// Generated message map functions
	afx_msg void OnBnClickedButtonSetupconnection();
	afx_msg void OnBnClickedButtonStart();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonSetupdecodedatalocation();
	afx_msg void OnBnClickedCheckUsergb();
	afx_msg void OnBnClickedCheckUseyuv();
	afx_msg void OnDestroy();
	
	// Generated control variables
	CEdit m_editboxHostIPAddress;
	CEdit m_editboxServerType;
	CEdit m_editboxPort;
	CButton m_buttonStart;
	CButton m_buttonStop;
	CButton m_buttonSetupconnection;
	CEdit m_editboxSaveDecodeDataLocation;
	CButton m_buttonSetupDecodeDataLocation;
	CButton m_chkboxUseRGB;
	CButton m_chkboxUseYUV;
	
};
