#ifndef VVTK_SDK_AVCOMPOSER_ERRORDEF_H
#define VVTK_SDK_AVCOMPOSER_ERRORDEF_H

#define AVCOMPOSER_FACCODE								0x51 // 81

#define AVCOMPOSER_S_BASE								MAKE_SCODE(0, AVCOMPOSER_FACCODE, 0)
#define AVCOMPOSER_E_BASE								MAKE_SCODE(1, AVCOMPOSER_FACCODE, 0)

#define AVCOMPOSER_SUCCESSDEF_BASE						AVCOMPOSER_S_BASE
#define S_AVCOMPOSER_MEDIA_ZERO_LENGTH					(AVCOMPOSER_SUCCESSDEF_BASE + 1)
#define S_AVCOMPOSER_RECORD_DROP_PACKET					(AVCOMPOSER_SUCCESSDEF_BASE + 2)

// error definition
#define AVCOMPOSER_ERRORDEF_BASE						AVCOMPOSER_E_BASE
#define AVCOMPOSER_ERRORDEF_BASE_G1						(AVCOMPOSER_ERRORDEF_BASE + 0x100)	
#define AVCOMPOSER_ERRORDEF_BASE_G2						(AVCOMPOSER_ERRORDEF_BASE + 0x200)	
#define AVCOMPOSER_ERRORDEF_BASE_G3						(AVCOMPOSER_ERRORDEF_BASE + 0x300)	

#define E_AVCOMPOSER_ISOM_INITIAL						(AVCOMPOSER_ERRORDEF_BASE_G1 + 1)
#define E_AVCOMPOSER_ISOM_SETOPTION						(AVCOMPOSER_ERRORDEF_BASE_G1 + 2)
#define E_AVCOMPOSER_ISOM_NEWTRACK						(AVCOMPOSER_ERRORDEF_BASE_G1 + 3)
#define E_AVCOMPOSER_ISOM_ADDSAMPLE						(AVCOMPOSER_ERRORDEF_BASE_G1 + 4)
#define E_AVCOMPOSER_ISOM_WRITETOFILE					(AVCOMPOSER_ERRORDEF_BASE_G1 + 5)

#define E_AVCOMPOSER_RECORD_CODEC_NOT_SUPPORTED			(AVCOMPOSER_ERRORDEF_BASE_G2 + 1)
#define E_AVCOMPOSER_RECORD_FIRST_FRAME_MUST_SYNC		(AVCOMPOSER_ERRORDEF_BASE_G2 + 2)
#define E_AVCOMPOSER_RECORD_TIMESTAMP_INVALID			(AVCOMPOSER_ERRORDEF_BASE_G2 + 3)
#define E_AVCOMPOSER_RECORD_PARSE_CI_FAIL				(AVCOMPOSER_ERRORDEF_BASE_G2 + 4)

#endif // VVTK_SDK_AVCOMPOSER_ERRORDEF_H
